Subject: Re: [PATCH] PKT_SCHED: Initialize list field in dummy qdiscs

From: Thomas Graf <[email-masked]>
Date: Sun, 7 Nov 2004 20:08:41 +0100

> >Anyways, I do think we should force the task to be completed, or
> >at least all the list unlinking, before the rtnl semaphore is given
> >back.  I'm fine with postponing the deletion of the object but not
> >to postpone list manipulations even if we cannot reproduce it now.
> 
> This is what I'm doing now, your patch to set qdisc->parent makes
> this very easy :) Simply remove all qdiscs with
> (TC_H_MAJ(q->parent) == TC_H_MAJ(qdisc->handle)) from
> dev->qdisc_list when a classful qdisc is destroyed.

Great, that's even better, speeds up deletion of big class
trees. Thanks.